# Uses of Interface
org.jfree.chart3d.label.CategoryItemLabelGenerator

Packages that use CategoryItemLabelGenerator
Package
Description
org.jfree.chart3d.label
Classes related to chart labels.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.renderer.category
Renderers that can be used with the `CategoryPlot3D` class.

## Uses of CategoryItemLabelGenerator in org.jfree.chart3d.label

Classes in org.jfree.chart3d.label that implement CategoryItemLabelGenerator
Modifier and Type
Class
Description
`class`
`StandardCategoryItemLabelGenerator`
A default implementation of the `CategoryItemLabelGenerator` interface.

## Uses of CategoryItemLabelGenerator in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return CategoryItemLabelGenerator
Modifier and Type
Method
Description
`CategoryItemLabelGenerator`
CategoryPlot3D.`getToolTipGenerator()`
Returns the tool tip generator.
Methods in org.jfree.chart3d.plot with parameters of type CategoryItemLabelGenerator
Modifier and Type
Method
Description
`void`
CategoryPlot3D.`setToolTipGenerator(CategoryItemLabelGenerator generator)`
Sets the tool tip generator and sends a `Plot3DChangeEvent` to all registered listeners.

## Uses of CategoryItemLabelGenerator in org.jfree.chart3d.renderer.category

Methods in org.jfree.chart3d.renderer.category that return CategoryItemLabelGenerator
Modifier and Type
Method
Description
`CategoryItemLabelGenerator`
AbstractCategoryRenderer3D.`getItemLabelGenerator()`
Returns the item label generator for the renderer (possibly `null`).
Methods in org.jfree.chart3d.renderer.category with parameters of type CategoryItemLabelGenerator
Modifier and Type
Method
Description
`void`
AbstractCategoryRenderer3D.`setItemLabelGenerator(CategoryItemLabelGenerator generator)`
Sets the item label generator for the renderer and sends a change event to all registered listeners.